<form class="section" [formGroup]="pactClientCaseNotesGroup">
  <div fxLayout="column" flex class="case-notes-inner-client-banner" style="margin-top: 10px">
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="inner-banner-row">
      <span fxLayout="row">
        <span>
          <b>Client # :</b>
          &nbsp;
          {{ clientData ? clientData.pactClientId : '' }}
        </span>
        <span>
          <b>Name :</b>
          &nbsp;
          {{ clientData ? (clientData.lastName + ', ' + clientData.firstName | uppercase) : '' }}
        </span>
        <span>
          <b>Social Security # :</b>
          &nbsp;
          {{ clientData ? (clientData.ssn | mask: '000-00-0000') : '' }}
        </span>
        <span>
          <b>Date of Birth :</b>
          &nbsp;
          {{ clientData ? clientData.dob : '' }}
        </span>
        <span>
          <b>Gender :</b>
          &nbsp;
          {{ clientData ? clientData.genderTypeDescription : '' }}
        </span>
        <span>
          <b>CIN :</b>
          &nbsp;
          {{ clientData ? clientData.cin : '' }}
        </span>
      </span>
    </div>
  </div>
  <br>
  <div fxLayout="row" fxLayoutAlign="left center" style="width: 100%;">
    <div fxFlex="90">
      <span><b>Case Notes :</b></span>
    </div>
  </div>
  <div fxLayout="row" fxLayoutAlign="left center" style="width: 100%; margin-top: 5px">
    <div fxFlex="85">
      <span class="notes-text-area">
        <mat-form-field appearance="outline" style="width: 100%; height: 73px;">
          <textarea rows="3" maxlength="2000" matInput formControlName="caseNotesCtrl" #caseNotesCtrl></textarea>
          <mat-hint>(Maximum entry of 2000 characters;
            {{2000 - caseNotesCtrl.value?.length || 0}} characters remaining)</mat-hint>
        </mat-form-field>
      </span>
    </div>
    <div fxFlex="15" style="text-align: center">
      <mat-icon class="content-sub-actions green-color" style="margin-top: 15px" matTooltip="Save"
        (click)="saveClientCaseNotes()">add_circle
      </mat-icon>
    </div>
  </div>
  <br>
  <br>
  <ag-grid-angular style="width: 100%" class="ag-theme-balham case-notes-grid" (gridReady)="caseNotesGridReady($event)"
    [rowData]="caseNotesRowData" [columnDefs]="caseNotesColumnDefs" [floatingFilter]="true" [animateRows]="false"
    [overlayNoRowsTemplate]="caseNotesOverlayNoRowsTemplate" [frameworkComponents]="frameworkComponents"
    [enableBrowserTooltips]="true" [context]="context" [defaultColDef]="caseNotesDefaultColDef" [pagination]="true"
    [paginationPageSize]="10">
  </ag-grid-angular>
</form>